#!/bin/sh
# $BSDnet: config/freebsd/enterprise/root/bin/update-freebsd-git-repo-mirror.sh,v 1.1 2020-12-20 14:53:25 trond Exp $
# $UFP$

#set -x
set -eu -o pipefail

REPODIRBASE="/git/freebsd"
REPOS="doc ports src"
readonly REPODIRBASE
readonly REPOS

ncpu=`sysctl -n hw.ncpu`
readonly ncpu

for r in ${REPOS}; do
  /usr/local/bin/git -C ${REPODIRBASE}/${r} fetch --all --auto-gc -j ${ncpu} -p -q
  #/usr/local/bin/git -C ${REPODIRBASE}/${r} gc --auto --quiet
done

# EOF
