--- src/portscan.adb	2018-05-28 20:21:54.000000000 +0200
+++ src/portscan.adb	2018-08-08 14:25:46.683191000 +0200
@@ -1,6 +1,7 @@
 --  This file is covered by the Internet Software Consortium (ISC) License
 --  Reference: ../License.txt
 
+with Ada.Command_Line;
 with Ada.Strings.Hash;
 with Ada.Calendar.Formatting;
 with GNAT.Regpat;
@@ -11,6 +12,7 @@
 package body PortScan is
 
    package ACF renames Ada.Calendar.Formatting;
+   package CLI renames Ada.Command_Line;
    package RGX renames GNAT.Regpat;
    package GSS renames GNAT.String_Split;
    package SIG renames Signals;
@@ -291,6 +293,7 @@
             TIO.Put_Line (LAT.LF & "culprit: " & culprit);
             TIO.Put_Line ("  Scan aborted " & issue_msg & ".");
             TIO.Put_Line ("  " & exmsg);
+            CLI.Set_Exit_Status (CLI.Failure);
          end abort_now;
       begin
          make_queue (lot).Iterate (populate'Access);
