# .bashrc

export COLORTERM=truecolor

export HISTFILESIZE=5000
export HISTSIZE=5000

if [ -f ~/.bash_aliases ]; then
  . ~/.bash_aliases;
fi

alias x=exit

# Sjekke om vi kjører under screen.
if [ -n "${STY}" ]; then
  export PS1="[screen]${PS1}"
fi

# Sjekke om vi kjører under ssh-agent,
# men vi gidder ikke markere ssh-agenten i ssh-klienten.
if [ -z "${SSH_TTY}" -a -n "${SSH_AUTH_SOCK}" -a -O "${SSH_AUTH_SOCK}" ]; then
  export PS1="[ssh-agent]${PS1}"
fi

# EOF
