#!/bin/sh

df -a | awk '
BEGIN { i = 0; fslen = 0; mplen = 0 }

{
  if ($1 != "Filesystem") {
     fs[i] = $1
     mp[i] = $6

     i++

     slen = length($1)
     if (slen > fslen) { fslen = slen };

     slen = length($6)
     if (slen > mplen) { mplen = slen }
  }
}

END {
  printf "%-*s  %-*s\n", fslen, "Filesystems", mplen, "Mounted on"

  lines = i
  for (i = 0; i < lines; i++) {
    printf "%-*s  %-*s\n", fslen, fs[i], mplen, mp[i]
  }
}'

# EOF
