--- src/portscan-pilot.adb	2018-11-30 08:09:38.000000000 +0100
+++ src/portscan-pilot.adb	2018-12-21 09:32:09.853938000 +0100
@@ -354,6 +354,7 @@
       if not PLAT.standalone_pkg8_install (PortScan.scan_slave) then
          TIO.Put_Line ("Failed to install pkg(8) scanner" & bailing);
          successful := False;
+         CLI.Set_Exit_Status (CLI.Failure);
          goto clean_exit;
       end if;
       portlist.Iterate (Process => scan'Access);
@@ -549,6 +550,10 @@
          TIO.Put_Line (CYC.log_duration (start_time, stop_time));
          TIO.Put_Line ("The build logs can be found at: " &
                          JT.USS (PM.configuration.dir_logs));
+      end if;
+
+      if bld_counter (ignored) > 0 or else bld_counter (skipped) > 0 or else bld_counter (failure) > 0 then
+         CLI.Set_Exit_Status (CLI.Failure);
       end if;
    end perform_bulk_run;
 
